Tech Support Guy banner
Status
Not open for further replies.
1 - 2 of 2 Posts

·
Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
Have just got new computer running XP Home Edition.Printer is a Canon LBP-660. Downloaded driver from Canon website but it will not load as the error message states that I need to be using Windows 95 or 98. Yet it worked on my old computer running XP pro. Is there another compatible driver I could use? Any help greatly appreciated.
 
1 - 2 of 2 Posts
Status
Not open for further replies.
Top